## org.plovr
Class ModuleConfig

    java.lang.Object
      org.plovr.ModuleConfig

    public final class ModuleConfig

extends Object

Nested Class Summary
`static class` `ModuleConfig.BadDependencyTreeException`
`static class` `ModuleConfig.ModuleInfo`

Method Summary
`static org.plovr.ModuleConfig.Builder` `builder(File relativePathBase)`
`static org.plovr.ModuleConfig.Builder` `builder(ModuleConfig moduleConfig)`
`Function<String,String>` `createModuleNameToUriFunction()`
`boolean` `excludeModuleInfoFromRootModule()`
`Map<String,List<String>>` `getInvertedDependencyTree()`
`ModuleConfig.ModuleInfo` `getModuleInfo(String module)`
`File` `getModuleInfoPath()`
`Iterable<String>` `getModuleNames()`
`Map<String,File>` `getModuleToOutputPath()`
`String` `getProductionUri()`
`String` `getRootModule()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRootModule

    public String getRootModule()

### getModuleNames

    public Iterable<String> getModuleNames()

### getModuleToOutputPath

    public Map<String,File> getModuleToOutputPath()

### getModuleInfo

    public ModuleConfig.ModuleInfo getModuleInfo(String module)

### getInvertedDependencyTree

    public Map<String,List<String>> getInvertedDependencyTree()

  Returns:
    a map of modules to modules that depend on that module

### getProductionUri

    public String getProductionUri()

### getModuleInfoPath

    public File getModuleInfoPath()

### excludeModuleInfoFromRootModule

    public boolean excludeModuleInfoFromRootModule()

### createModuleNameToUriFunction

    public Function<String,String> createModuleNameToUriFunction()

### builder

    public static org.plovr.ModuleConfig.Builder builder(File relativePathBase)

### builder

    public static org.plovr.ModuleConfig.Builder builder(ModuleConfig moduleConfig)